Subject: RE: ops-dir review of draft-ietf-bfd-rfc5884-clarifications

From: "Vengada Prasad Govindan (venggovi)" <[email-masked]>
Date: Tue, 13 Oct 2015 04:29:38 +0000

Hello Scott/ all,

Thanks for your comment, do you think the proposed text below makes better sense (additions highlighted in green):

      The BFD session MAY be removed in the egress LSR if the BFD

      session transitions from UP to DOWN.  This can either be done

      immediately after the BFD session transitions from UP to DOWN

     or after the  expiry of a configurable timer started after the BFD

    session state  transitions from UP to DOWN at the egress LSR.

I can post a new revision reflecting this comment if you are fine with the proposed text.

Thanks

Prasad

-----Original Message-----
From: Bradner, Scott [mailto:[email-masked]]
Sent: Monday, October 12, 2015 7:39 PM
To: [email-masked]; [email-masked]
Subject: ops-dir review of draft-ietf-bfd-rfc5884-clarifications

I have done a OPS-DIR review of "Clarifications to RFC 5884” <draft-ietf-bfd-rfc5884-clarifications-03.txt>

summary - ready for publication

This document clarifies how best to operate multiple BFD (Bidirectional Forwarding Detection) sessions in MPLS environments.

Any document that purports to clarify operational procedures is, by definition, a good thing when it comes to operational impact, assuming the document is clear and makes sense.  This document is clear and makes sense.

One suggestion though.

The first observation in Section 2.3 says:

      The BFD session MAY be removed in the egress LSR if the BFD

      session transitions from UP to DOWN.  This can be done after the

      expiry of a configurable timer started after the BFD session state

      transitions from UP to DOWN at the egress LSR.

It might be helpful to specifically say what the aim of using such a timer is.  My guess is that the timer is used to introduce hysteresis to reduce flapping - but it would nice to say one way or the other

Scott

---

From: "Vengada Prasad Govindan (venggovi)" <[email-masked]>
Date: Tue, 13 Oct 2015 12:33:09 +0000

Hello Scott,

  I added the words “to provide hysteresis” at the end of the sentence. Please let me know if this helps. Please suggest alternate text if you think this can be improved upon.

Thanks
Prasad

 session state  transitions from UP to DOWN at the egress LSR

to provide hysteresis.

-----Original Message-----
From: Bradner, Scott [mailto:[email-masked]]
Sent: Tuesday, October 13, 2015 3:00 PM
To: Vengada Prasad Govindan (venggovi) <[email-masked]>
Cc: [email-masked]; [email-masked]; [email-masked]; Jeffrey Haas <[email-masked]> ([email-masked]) <[email-masked]>
Subject: Re: ops-dir review of draft-ietf-bfd-rfc5884-clarifications

the addition i good but it still does not say what the purpose is for using a timer  - the “why” - you have the “how”

Scott

> On Oct 13, 2015, at 12:29 AM, Vengada Prasad Govindan (venggovi) <[email-masked]<mailto:[email-masked]>> wrote:

> To: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>